varying vec3	vPOS;
	
varying vec2	texcoord;
//varying vec2	moonTexcoords;

/*uniform vec4	LTM0,
				LTM1,
				LTM3;*/

// vertex attributes
attribute vec3 			s2_vertex;
attribute vec4			s2_texcoords; 

void main()
{
	gl_Position = vec4(s2_vertex,1.0);
	texcoord = s2_texcoords.st;	
	
/*	vec4 pos=gl_ModelViewMatrix*vertex;
	vec4 XYproj;
	XYproj.x = dot(pos,LTM0);
	XYproj.y = dot(pos,LTM1);
	XYproj.w = dot(pos,LTM3);
	moonTexcoords.xy=(XYproj.xy/XYproj.w);*/
}